CREATE TABLE instantFeedFeed (
   feedID            BIGINT         NOT NULL,
   feedName          VARCHAR(255)   NOT NULL,
   feedURL           VARCHAR(255)   NOT NULL,
   mostRecentEntry   VARCHAR(255)   NOT NULL,
   INDEX instantFeedFeed_id_idx(feedID),
   INDEX instantFeedFeed_url_idx(feedURL)
);

CREATE TABLE instantFeedUser (
   userID            BIGINT         NOT NULL,
   jid               VARCHAR(255)   NOT NULL,
   hibernating        TINYINT        NOT NULL,
   INDEX instantFeedUser_id_idx(userID),
   INDEX instantFeedUser_jid_idx(jid)
);

CREATE TABLE instantFeedUserToFeed (
   userID            BIGINT         NOT NULL,
   feedID            BIGINT         NOT NULL,
   verified          INT            NOT NULL,
   mostRecentEntry   VARCHAR(255)   NOT NULL
);


INSERT INTO ofVersion (name, version) VALUES ('instantFeed', 3);
