CREATE TABLE instantFeedFeed (
   feedID            INTEGER         NOT NULL,
   feedName          NVARCHAR(255)   NOT NULL,
   feedURL           NVARCHAR(255)   NOT NULL,
   mostRecentEntry   NVARCHAR(255)   NOT NULL
);
CREATE INDEX instantFeedFeed_id_idx on instantFeedFeed(feedID);
CREATE INDEX instantFeedFeed_url_idx on instantFeedFeed(feedURL);

CREATE TABLE instantFeedUser (
   userID            INTEGER         NOT NULL,
   jid               NVARCHAR(255)   NOT NULL,
   hibernating       INTEGER         NOT NULL
);
CREATE INDEX instantFeedUser_id_idx on instantFeedUser(userID);
CREATE INDEX instantFeedUser_jid_idx on instantFeedUser(jid);


CREATE TABLE instantFeedUserToFeed (
   userID            INTEGER         NOT NULL,
   feedID            INTEGER         NOT NULL,
   verified          INTEGER         NOT NULL,
   mostRecentEntry   NVARCHAR(255)   NOT NULL
);


INSERT INTO ofVersion (name, version) VALUES ('instantFeed', 3);
