package org.jivesoftware.plugins.instantFeeds;

import org.apache.xmlrpc.webserver.XmlRpcServlet;
import org.apache.xmlrpc.server.PropertyHandlerMapping;
import org.apache.xmlrpc.server.XmlRpcHandlerMapping;
import org.apache.xmlrpc.XmlRpcException;

/**
 * Exists because the classloader that normally would load XmlRpcServlet.properties
 * and would then load InstantFeedsXMLRPC can't do both.
 *
 */
public class InstantFeedsXMLRPCServlet extends XmlRpcServlet {

    protected XmlRpcHandlerMapping newXmlRpcHandlerMapping() throws XmlRpcException {
        PropertyHandlerMapping phm = new PropertyHandlerMapping();
        phm.addHandler("weblogUpdates", InstantFeedsXMLRPC.class);
        return phm;
    }

    

}
